Name: whoson
Version: 2.02a
Release: alt1
Summary: Protocol for Keeping Track of Dynamically Allocated IP
License: Public Domain
URL: http://whoson.sf.net/
Group: Networking/Other
Packager: Victor Forsyuk <force@altlinux.ru>
Source0: http://unc.dl.sourceforge.net/sourceforge/whoson/%{name}-%{version}.tar.gz
Source1: %{name}.init
Source2: %{name}.conf
Patch0: whoson-Makefile.patch

%description
Simple method for Internet server programs to know if a particular
(dynamically allocated) IP address is currently allocated to a known
(trusted) user and, optionally, the identity of the said user.

%package server
Summary: Whoson server binary and scripts
Group: Networking/Other
Requires: %{name} = %{version}

%description server
Whoson server binary and scripts

%package -n lib%{name}
Summary: Whoson library
Group: Development/C
Requires: %{name} = %{version}

%description -n lib%{name}
This is whoson library package.

%package -n lib%{name}-devel
Summary: Header files and development documentation for whoson
Group: Development/C
Requires: %{name} = %{version}

%description -n lib%{name}-devel
This is whoson development package. It includes files and development
documentation for whoson.

%package -n lib%{name}-devel-static
Summary: Static libraries for whoson
Group: Development/C
Requires: lib%{name}-devel = %{version}

%description -n lib%{name}-devel-static
You should install the lib%{name}-devel-static package if you would like to
develop statically linked whoson applications.

%prep
%setup -q
%patch0 -p1

%build
%configure
%make_build

%install
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,/var/lib/whosond}

make DESTDIR=%buildroot install
install -m0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/whosond
install -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/

for i in wso_login wso_logout wso_query wso_version; do
	rm -f $RPM_BUILD_ROOT%_mandir/man3/$i.3
	echo ".so whoson.3" > $RPM_BUILD_ROOT%_mandir/man3/$i.3
done

%post   -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%post server
%post_service %{name}d

%postun server
%postun_service %{name}d

%files
%doc README whoson.txt
%_sbindir/whoson
%config(noreplace) %verify(not size mtime md5) %_sysconfdir/whoson.conf
%_mandir/man[58]/*

%files server
%_sbindir/whosond
/etc/rc.d/init.d/whosond
%dir /var/lib/whosond

%files -n lib%{name}
%_libdir/lib*.so.*

%files -n lib%{name}-devel
%_libdir/lib*.so
%_libdir/lib*.la
%_includedir/*
%_mandir/man3/*

%files -n lib%{name}-devel-static
%_libdir/lib*.a

%changelog
* Fri May 23 2003 Victor Forsyuk <force@altlinux.ru> 2.02a-alt1
- Rewritten start/stop script to new rc scheme.

* Tue Jan 14 2003 Victor Forsyuk <force@altlinux.ru> 2.02a-alt0
- Initial build for Sisyphus.
